# Shopper APIs reference

Welcome to the Shopper APIs reference guide. This documentation provides detailed information on the various APIs for integrating and managing Shopper functionalities. Whether you're a developer looking to incorporate these APIs into your application or an administrator seeking to oversee their deployment, this guide will help you easily navigate the features, endpoints, and operations. Download the Shopper.json file for complete API specifications.

You will need an API key to access and use the Shopper APIs. This key ensures that only authorized personnel can perform sensitive administrative operations, maintaining the security and integrity of your eCommerce platform.\
\
The Shopper APIs are RESTful, meaning that Digital River designed them to allow you to retrieve, create, update, and delete objects using the HTTP verbs GET, POST, and DELETE.\
\
The Shopper APIs exclusively use JSON. Therefore, you should always set the content-type header to application/json to ensure the API accepts and processes your requests.\
\
All Shopper API requests are sent to `https://api.digitalriver.com`.

## Pagination

All API resources that return lists support bulk fetches. For example, you can use the `pageNumber` and `pageSize` parameters to the size of a page and the number of pages to return in a paginated response. By default, the response returns the first page unless otherwise specified. The following table describes optional paging parameters:

| Parameter    | Description                                                                                |
| ------------ | ------------------------------------------------------------------------------------------ |
| `pageNumber` | The number indicating the page to return in a paginated response. Default: 1 (first page). |
| `pageSize`   | The number of items to include on each page of a paginated response. Default: 25.          |

## Download the Shopper.json file

You can download the Shopper.json file to access the comprehensive details and specifications for the Shopper APIs. This file contains all the necessary information to integrate and manage the APIs effectively in your environment.

1. Click the **Shopper.json** file link below to initiate the download.
2. Save the **Shopper.json** file to your preferred directory on your machine.

{% file src="/files/eqoB4K0Hz4Omt9RJAQZr" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalriver.com/commerce-api-references/shopper-apis/shopper-apis-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
